#include<vectors.hpp>
#include<fields.hpp>
#include<stdio.h>
#include<routines.hpp>
#include<stdlib.h>

int main(int argc, char** argv)
{
  if (argc < 2)
    {
      printf("Missing input file. Program arborted\n");
      exit(1);
    }
  

  struct ParticleParameters InitialParameters;
  struct SimulationParameters SimPar;
  char output_file_name[1000];
    
  read_input_file(&InitialParameters, &SimPar, argv[1], output_file_name);
  integrate_trajectory(&InitialParameters, &SimPar, output_file_name);
  return 0;
}
